[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'fpjson' (#fcl)

# TJSONArray.Clone

Clone the JSON array

## Declaration

Source position: fpjson.pp line 534

`public function TJSONArray.Clone: TJSONData; override;`

## Function result

Cloned TJSONArray instance.

## Description

Clone creates a new TJSONArray, clones all elements in the array and adds them to the newly created array in the same order as they are in the array.

## See also

TJSONData.Clone |  | Duplicate the value of the JSON data